Resolve Incident
curl --request POST \
--url https://demo.rotavision.com/api/v1/vidhi/incidents/{incident_id}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>",
"root_cause_preliminary": "<string>",
"immediate_actions": "<string>"
}
'import requests
url = "https://demo.rotavision.com/api/v1/vidhi/incidents/{incident_id}/resolve"
payload = {
"note": "<string>",
"root_cause_preliminary": "<string>",
"immediate_actions": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: '<string>',
root_cause_preliminary: '<string>',
immediate_actions: '<string>'
})
};
fetch('https://demo.rotavision.com/api/v1/vidhi/incidents/{incident_id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agent_id": "<string>",
"title": "<string>",
"severity": "<string>",
"description": "<string>",
"seq_from": 123,
"seq_to": 123,
"status": "<string>",
"created_by": "<string>",
"resolved_by": "<string>",
"resolution_note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"report_due_at": "2023-11-07T05:31:56Z",
"detected_at": "2023-11-07T05:31:56Z",
"occurred_at": "2023-11-07T05:31:56Z",
"use_case": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}vidhi
Resolve Incident
POST
/
api
/
v1
/
vidhi
/
incidents
/
{incident_id}
/
resolve
Resolve Incident
Authorizations
Ingest API key or OIDC JWT. See /authentication.
Path Parameters
Body
application/json
Response
Successful Response
⌘I

